Package org.eclipse.birt.core.script

# Class ScriptableParameter

java.lang.Object
org.eclipse.birt.core.script.BaseScriptable
org.eclipse.birt.core.script.ScriptableParameter

All Implemented Interfaces:
  `org.mozilla.javascript.Scriptable`, `org.mozilla.javascript.Wrapper`

public class ScriptableParameter extends BaseScriptable implements org.mozilla.javascript.Wrapper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ScriptableParameter.JsValueCallable`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_DISPLAY_TEXT`
`static final String`
`FIELD_VALUE`

### Fields inherited from interface org.mozilla.javascript.Scriptable

`NOT_FOUND`

## Constructor Summary

Constructors
Constructor
Description
`ScriptableParameter(Map parameters, String parameterName, org.mozilla.javascript.Scriptable parent)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(String name, org.mozilla.javascript.Scriptable scope)`
`String`
`getClassName()`
`Object`
`getDefaultValue(Class hint)`
`boolean`
`has(String name, org.mozilla.javascript.Scriptable scope)`
`void`
`put(String name, org.mozilla.javascript.Scriptable scope, Object value)`
`Object`
`unwrap()`

### Methods inherited from class org.eclipse.birt.core.script.BaseScriptable

`delete, delete, get, getIds, getParentScope, getPrototype, has, hasInstance, put, setParentScope, setPrototype`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FIELD_VALUE

public static final String FIELD_VALUE

See Also:
  - Constant Field Values

### FIELD_DISPLAY_TEXT

public static final String FIELD_DISPLAY_TEXT

See Also:
  - Constant Field Values

## Constructor Details

### ScriptableParameter

public ScriptableParameter(Map parameters, String parameterName, org.mozilla.javascript.Scriptable parent)

## Method Details

### get

public Object get(String name, org.mozilla.javascript.Scriptable scope)

Specified by:
  `get` in interface `org.mozilla.javascript.Scriptable`

### getDefaultValue

public Object getDefaultValue(Class hint)

Specified by:
  `getDefaultValue` in interface `org.mozilla.javascript.Scriptable`
Overrides:
  `getDefaultValue` in class `BaseScriptable`

### has

public boolean has(String name, org.mozilla.javascript.Scriptable scope)

Specified by:
  `has` in interface `org.mozilla.javascript.Scriptable`

### put

public void put(String name, org.mozilla.javascript.Scriptable scope, Object value)

Specified by:
  `put` in interface `org.mozilla.javascript.Scriptable`

### getClassName

public String getClassName()

Specified by:
  `getClassName` in interface `org.mozilla.javascript.Scriptable`

### unwrap

public Object unwrap()

Specified by:
  `unwrap` in interface `org.mozilla.javascript.Wrapper`